libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DictType Class Reference

Represents a data type in the DBMS. More...

Inheritance diagram for Gnome::Gda::DictType:

[legend]
List of all members.

## Public Member Functions

void | add_synonym (const Glib::ustring& synonym)
| Sets a new synonym to the dt data type.
void | clear_synonyms ()
| Removes any synonym attached to dt.
GType | get_g_type () const
| Get the gda type of a data type.
Glib::ustring | get_sqlname () const
| Get the DBMS's name of a data type.
Glib::SListHandle<Glib::ustring> | get_synonyms ()
| Get a list of dt's synonyms.
const GdaDictType* | gobj () const
| Provides access to the underlying C GObject.
GdaDictType* | gobj ()
| Provides access to the underlying C GObject.
GdaDictType* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_g_type (GType g_type)
| Set the gda type for a data type.
void | set_sqlname (const Glib::ustring& sqlname)
| Set the SQL name of the data type.
virtual | ~DictType ()

## Static Public Member Functions

static Glib::RefPtr<DictType> | create ()

## Protected Member Functions

| DictType ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::DictType> | wrap (GdaDictType* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Represents a data type in the DBMS.

DBMS systems usually have a large set of data types (which can sometimes be expanded by users). Each DictType object represents one data type. The libgda library provides some data types, and so it is possible, for each DictType object, to get the corresponding libgda data type.

Every data type can be represented by a DictType (even user defined data types). Complex data types (data types described as the aggregation of several other data types, similar to C structures) are handled like any other data type and it is not possible to individually access the different components of the complex data type (it is, however, possible to write a plugin for this data type).

## Constructor & Destructor Documentation

virtual Gnome::Gda::DictType::~DictType | ( |  | ) | `[virtual]`

Gnome::Gda::DictType::DictType | ( |  | ) | `[protected]`

## Member Function Documentation

void Gnome::Gda::DictType::add_synonym | ( | const Glib::ustring & | synonym | ) |

Sets a new synonym to the dt data type.

void Gnome::Gda::DictType::clear_synonyms | ( |  | ) |

Removes any synonym attached to dt.

static Glib::RefPtr<DictType> Gnome::Gda::DictType::create | ( |  | ) | `[static]`

Reimplemented from Gnome::Gda::Object.

GType Gnome::Gda::DictType::get_g_type | ( |  | ) | const

Get the gda type of a data type.

Returns:
  The gda type.

Glib::ustring Gnome::Gda::DictType::get_sqlname | ( |  | ) | const

Get the DBMS's name of a data type.

Returns:
  The name of the data type.

Glib::SListHandle<Glib::ustring> Gnome::Gda::DictType::get_synonyms | ( |  | ) |

Get a list of dt's synonyms.

Returns:
  A list of strings which must not be modified.

const GdaDictType* Gnome::Gda::DictType::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::Object.

GdaDictType* Gnome::Gda::DictType::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::Object.

GdaDictType* Gnome::Gda::DictType::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::Object.

void Gnome::Gda::DictType::set_g_type | ( | GType | g_type | ) |

Set the gda type for a data type.

void Gnome::Gda::DictType::set_sqlname | ( | const Glib::ustring & | sqlname | ) |

Set the SQL name of the data type.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::DictType> wrap | ( | GdaDictType * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- dicttype.h